<div class="float-left col-lg-12 col-md-12 col-sm-12 col-12 p-0 mt-1" style="height: auto;" >

    <div class="brl w-100 p-2 bg-light text_darkmode">
        <div class="brl w-100 top">
            
            <div class="brl">
                <form (submit)="$event.preventDefault()">
                    <mat-form-field appearance="fill">
                        <mat-label>Cerca</mat-label>
                        <input  
                                matInput type="text"
                                name="searchText"
                                (keyup)="filterResults()"
                                class="fs15"
                        >
                    </mat-form-field>
                </form>
            </div>

            <div class="brr">
                <div class="brl action_container p-1" style="flex:1;" (click)="openWizard()">
                    <button class="mr-2 btn btn-md action btn-primary fs16" >
                        <div class="text fs16">Aggiungi nuovo task</div>
                    </button>
                </div>
            </div>
        </div>


        <div class="brl table bg-light text_darkmode">
            <div *ngIf="data else loading">
                <task-list 
                    *ngIf="data" 
                    [data]="data" 
                    [filter]="search"
                    (result)="getDetails($event)"
                    >
                </task-list>
            </div>
    
            <ng-template #loading>
                <div class="empty bg-light text_darkmode">
                    <div class="text fs18">
                        Download Tasks
                    </div>
                    <div class="nj-spinner nj-spinner--sm ml-1" role="status"></div>

                </div>
            </ng-template>
        </div>
    </div>

</div>